PUT/api/v1/schedule/{scheduleId}

Update Schedule

This PUT /schedule/{scheduleId} method is useful when users need to make changes or updates to an existing Schedule.

By providing a Schedule ID in the request, you can edit the results to meet your requirements.
PUT/api/v1/schedule/{scheduleId}

Mandatory Fields

  • scheduleId

Parameter Details

NameInTypeRequiredDescription
scheduleIdpathstring(string)Requirednone
bodybodyRequirednone

Responses

StatusMeaningDescriptionSchema
200OKSuccess
400Bad RequestRequest data failed validation(s)None
401UnauthorizedAuthentication Failed!None
404Not FoundNot found.None
429Too Many RequestsToo Many Requests.None
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X PUT /api/v1/schedule/{scheduleId} \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: API_KEY'

Body parameter

{
  "scheduleName": "Flightschedule name",
  "_timezone": "64ae7e58d06e77f95bff059c",
  "_shop": "66fbd773cfa2fa105752dc26",
  "dayOfMonth": "*",
  "month": "*",
  "dayOfWeek": "*",
  "hour": "*",
  "minute": "0",
  "isActiveStatus": true,
  "startDate": "2019-08-24",
  "endDate": "2019-08-24"
}

Example responses

200 Response
{
  "error": false,
  "schedule": {
    "scheduleName": "Flightschedule name",
    "_timezone": "64ae7e58d06e77f95bff0565",
    "_shop": "66fbd773cfa2fa105752dc26",
    "dayOfMonth": "*",
    "month": "*",
    "dayOfWeek": "*",
    "hour": "*",
    "minute": "0",
    "isActiveStatus": true,
    "startDate": "2019-08-24",
    "endDate": "2019-08-24",
    "_user": "6411b27b79d2c995fc689c4b",
    "userName": "user@flightrates.com",
    "vertical": "flightrates",
    "isCustomerCreated": true,
    "createdAt": "2023-03-10T06:30:25.288Z",
    "updatedAt": "2023-03-10T06:30:25.288Z",
    "id": "640ace815353bdb6454e191b"
  }
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.